Skip to main content
GET
/
api
/
v1
/
threads
/
{threadId}
/
messages
Get messages for an SMS thread
curl --request GET \
  --url https://prod.featherhq.com/api/v1/threads/{threadId}/messages \
  --header 'X-API-Key: <api-key>'
{
  "thread": {
    "agentId": "<string>",
    "agentDetails": {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "agentType": "CALL"
    },
    "agentVersionId": "<string>",
    "agentVersionDetails": {
      "id": "<string>",
      "version": 123,
      "mode": "FLOW",
      "smsMaxTokens": 123,
      "smsTemperature": 123
    },
    "messages": [
      {
        "id": "<string>",
        "threadId": "<string>",
        "direction": "INBOUND",
        "messageBody": "<string>",
        "status": "QUEUED",
        "twilioMessageSid": "<string>",
        "twilioAccountSid": "<string>",
        "twilioNumSegments": 123,
        "twilioPrice": "<string>",
        "twilioPriceCurrency": "<string>",
        "twilioErrorCode": "<string>",
        "twilioErrorMessage": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "sentAt": "<string>",
        "deliveredAt": "<string>",
        "readAt": "<string>"
      }
    ],
    "pagination": {
      "limit": 10,
      "nextCursor": "<string>"
    }
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

threadId
string<uuid>
required

Query Parameters

limit
string

Number of messages per page (default: 50, max: 100)

cursor
string

Cursor for pagination (ID of the last message in previous page)

direction
enum<string>

Filter by message direction (INBOUND or OUTBOUND)

Available options:
INBOUND,
OUTBOUND
status
enum<string>

Filter by message status

Available options:
QUEUED,
SENDING,
SENT,
DELIVERED,
FAILED,
UNDELIVERED,
READ,
RECEIVED

Response

Thread messages

thread
object
required